import PropTypes from 'prop-types';
import React from 'react';
import moment from 'moment';
import _ from 'lodash';

import ConfigStore from '../stores/configStore';

const DateTime = React.createClass({
  propTypes: {
    date: PropTypes.any.isRequired,
    dateOnly: PropTypes.bool,
    seconds: PropTypes.bool,
  },

  getDefaultProps() {
    return {
      seconds: true,
    };
  },

  getFormat({clock24Hours}) {
    let {dateOnly, seconds} = this.props;

    // October 26, 2017
    if (dateOnly) {
      return 'LL';
    }

    if (clock24Hours) {
      return 'MMMM D YYYY HH:mm:ss z';
    }

    // Oct 26, 2017 11:30:30 AM
    if (seconds) {
      return 'll LTS z';
    }

    // Default is Oct 26, 2017 11:30 AM
    return 'lll';
  },

  render() {
    let {
      date,
      // eslint-disable-next-line no-unused-vars
      seconds,
      ...carriedProps
    } = this.props;
    let user = ConfigStore.get('user');
    let options = user ? user.options : {};
    let format = this.getFormat(options);

    if (_.isString(date) || _.isNumber(date)) {
      date = new Date(date);
    }

    return <time {...carriedProps}>{moment(date).format(format)}</time>;
  },
});

export default DateTime;
